Package twisted :: Package protocols :: Package jabber :: Module component :: Class ListenComponentAuthenticator

[frames | no frames]

## Class ListenComponentAuthenticator

    Authenticator --+
                    |
                   ListenComponentAuthenticator

Placeholder for listening components

Method Summary
Inherited from Authenticator
| ``__init__`(self, streamHost)`
| ``associateWithStream`(self, xmlstream)` Called by the XmlStreamFactory when a connection has been made to the requested peer, and an XmlStream object has been instantiated.
| ``connectionMade`(self)` Called by the XmlStream when the underlying socket connection is in place.
| ``streamStarted`(self, rootelem)` Called by the XmlStream when it has received a root element from the connected peer.

Instance Variable Summary
Inherited from Authenticator
`str` | `streamHost`: Target host for this stream (used as the 'to' attribute)
`XmlStream` | `xmlstream`: The XmlStream that needs authentication

Class Variable Summary
Inherited from Authenticator
`str` | `namespace`: Default namespace for the XmlStream
`int` | `version`: Version attribute for XmlStream.

Generated by Epydoc 2.0 on Sat May 15 20:08:52 2004 | http://epydoc.sf.net